package com.yonge.cooleshow.biz.dal.entity;

/**
 * @author hgw
 * Created by 2022-02-25
 */
public class ImRoomMessage extends BaseMessage {

    //objectName 类型-将所有人强制踢出房间
    public static final String FORCED_OFFLINE = "RC:ForcedOffline";

    //objectName 类型-观看者退出房间
    public static final String LOOKER_LOGIN_OUT = "RC:LookerLoginOut";

    //objectName 类型-观看者数量-该消息只有主播端接
    public static final String MEMBER_COUNT = "RC:Chatroom:MemberCountUp";

    //objectName 类型-商品变更
    public static final String LIVE_GOODS_CHANGE = "DY:LIVE_GOODS_CHANGE";

    //objectName 类型-在黑名单中添加该用户
    public static final String BLOCK_BLACK_USER = "RC:BLOCK_BLACK_USER";

    //objectName 类型-在黑名单中解除该用户
    public static final String UNBLOCK_BLACK_USER = "RC:UNBLOCK_BLACK_USER";

    //objectName 类型-用户点赞数同步
    public static final String LIKES_COUNT = "RC:Chatroom:LikeCount";

    private String serviceProvider;
    /**
     * 消息类型
     */
    private String objectName;

    /**
     * 消息内容
     */
    private Object content;

    /**
     * 发送者id
     */
    private String fromUserId;

    /**
     * 发送到的房间uid
     */
    private String toChatroomId;


    private String clientType;

    public String getClientType() {
        return clientType;
    }

    public void setClientType(String clientType) {
        this.clientType = clientType;
    }

    public String getServiceProvider() {
        return serviceProvider;
    }

    public void setServiceProvider(String serviceProvider) {
        this.serviceProvider = serviceProvider;
    }

    @Override
    public String getObjectName() {
        return objectName;
    }

    public void setObjectName(String objectName) {
        this.objectName = objectName;
    }

    public Object getContent() {
        return content;
    }

    public void setContent(Object content) {
        this.content = content;
    }

    public String getFromUserId() {
        return fromUserId;
    }

    public void setFromUserId(String fromUserId) {
        this.fromUserId = fromUserId;
    }

    public String getToChatroomId() {
        return toChatroomId;
    }

    public void setToChatroomId(String toChatroomId) {
        this.toChatroomId = toChatroomId;
    }
}
